[workspace]
resolver = "2"
members = [
  "private_repos/*",
  "examples/*",
  "harmony",
  "harmony_types",
  "harmony_macros",
  "harmony_tui",
  "opnsense-config",
  "opnsense-config-xml",
  "harmony_cli",
  "k3d",
  "harmony_composer",
]

[workspace.package]
version = "0.1.0"
readme = "README.md"
license = "GNU AGPL v3"

[workspace.dependencies]
log = "0.4"
env_logger = "0.11"
derive-new = "0.7"
async-trait = "0.1"
tokio = { version = "1.40", features = [
  "io-std",
  "fs",
  "macros",
  "rt-multi-thread",
] }
cidr = { features = ["serde"], version = "0.2" }
russh = "0.45"
russh-keys = "0.45"
rand = "0.8"
url = "2.5"
kube = { version = "1.1.0", features = [
  "config",
  "client",
  "runtime",
  "rustls-tls",
  "ws",
  "jsonpatch",
] }
k8s-openapi = { version = "0.25", features = ["v1_30"] }
serde_yaml = "0.9"
serde-value = "0.7"
http = "1.2"
inquire = "0.7"
convert_case = "0.8"
chrono = "0.4"
similar = "2"
uuid = { version = "1.11", features = ["v4", "fast-rng", "macro-diagnostics"] }
pretty_assertions = "1.4.1"
bollard = "0.19.1"
base64 = "0.22.1"
tar = "0.4.44"
